Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class UnsignedShort

    java.lang.Object
      |
      +--java.lang.Number
            |
            +--org.apache.axis.types.UnsignedInt
                  |
                  +--org.apache.axis.types.UnsignedShort

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

Direct Known Subclasses:
  UnsignedByte

public class UnsignedShort
extends UnsignedInt

Custom class for supporting primitive XSD data type UnsignedShort

Author:
  Chris Haddad
See Also:
  XML Schema 3.3.23, Serialized Form

Fields inherited from class org.apache.axis.types.UnsignedInt
`lValue`

Constructor Summary
`UnsignedShort()`
`UnsignedShort(long sValue)` ctor for UnsignedShort
`UnsignedShort(java.lang.String sValue)`

Method Summary
`boolean` | `isValid(long sValue)` validate the value against the xsd definition
`void` | `setValue(long sValue)` validates the data and sets the value for the object.

Methods inherited from class org.apache.axis.types.UnsignedInt
`byteValue, compareTo, doubleValue, equals, floatValue, hashCode, intValue, longValue, shortValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsignedShort

    public UnsignedShort()

### UnsignedShort

    public UnsignedShort(long sValue)
                  throws java.lang.NumberFormatException

  ctor for UnsignedShort
  Throws:
    `java.lang.NumberFormatException` - will be thrown if validation fails

### UnsignedShort

    public UnsignedShort(java.lang.String sValue)
                  throws java.lang.NumberFormatException

Method Detail

### setValue

    public void setValue(long sValue)
                  throws java.lang.NumberFormatException

  validates the data and sets the value for the object.
  Overrides:
    `setValue` in class `UnsignedInt`
  Parameters:
    `short` - value

### isValid

    public boolean isValid(long sValue)

  validate the value against the xsd definition
  Overrides:
    `isValid` in class `UnsignedInt`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.